Bug 1468830 - Review Request: abbayedesmorts-gpl - Platform game set in 13th century
Summary: Review Request: abbayedesmorts-gpl - Platform game set in 13th century
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2017-07-08 12:43 UTC by Andrea Musuruane
Modified: 2017-07-25 00:24 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-24 19:21:39 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Andrea Musuruane 2017-07-08 12:43:48 UTC
Spec URL: https://musuruan.fedorapeople.org/abbayedesmorts-gpl.spec
SRPM URL: https://musuruan.fedorapeople.org/abbayedesmorts-gpl-2.0.1-1.fc25.src.rpm
Description:
In the 13th century, the Cathars, who preach about good Christian beliefs, 
were being expelled by the Catholic Church out of the Languedoc region in 
France.

One of them, called Jean Raymond, found an old church in which to hide, not 
knowing that beneath its ruins lay buried an ancient evil.

A style close to Spectrum ZX, with its dark background and bright colors, 
proper fit with the story, because it does look old and somewhat horrifying. 
Also, the gameplay is directly inspired by Manic Miner and Jet Set Willy.

Fedora Account System Username: musuruan

Comment 1 Artur Iwicki 2017-07-08 16:09:57 UTC
>desktop-file-validate %{buildroot}%{_datadir}/applications/abbaye.desktop
>appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/abbaye.appdata.xml
Needs "desktop-file-utils" and "libappstream-glib" as part of BuildRequires.

Does this use the original game's assets? Those are under CC-BY-3.0 (which is fine).

Comment 2 Antonio Trande 2017-07-08 16:40:28 UTC
Please, clarify what license is used for this software and include a related license file.

Comment 3 Andrea Musuruane 2017-07-08 17:04:54 UTC
(In reply to Iwicki Artur from comment #1)
> >desktop-file-validate %{buildroot}%{_datadir}/applications/abbaye.desktop
> >appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/abbaye.appdata.xml
> Needs "desktop-file-utils" and "libappstream-glib" as part of BuildRequires.

Good catch.

> Does this use the original game's assets? Those are under CC-BY-3.0 (which
> is fine).

AFAIK yes.

(In reply to Antonio Trande from comment #2)
> Please, clarify what license is used for this software and include a related
> license file.

License is GPLv3 as stated here:
https://github.com/nevat/abbayedesmorts-gpl

I'm not allowed to include a license file if upstream does not ship it: 
"If the source package does not include the text of the license(s), the packager should contact upstream and encourage them to correct this mistake. "
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Comment 4 Antonio Trande 2017-07-08 17:07:48 UTC
> 
> (In reply to Antonio Trande from comment #2)
> > Please, clarify what license is used for this software and include a related
> > license file.
> 
> License is GPLv3 as stated here:
> https://github.com/nevat/abbayedesmorts-gpl
> 
> I'm not allowed to include a license file if upstream does not ship it: 
> "If the source package does not include the text of the license(s), the
> packager should contact upstream and encourage them to correct this mistake.
> "
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Continuing to read:

> However, in situations where upstream is unresponsive, unable, or unwilling...

Comment 5 Andrea Musuruane 2017-07-08 17:09:41 UTC
(In reply to Antonio Trande from comment #4)
> > 
> > (In reply to Antonio Trande from comment #2)
> > > Please, clarify what license is used for this software and include a related
> > > license file.
> > 
> > License is GPLv3 as stated here:
> > https://github.com/nevat/abbayedesmorts-gpl
> > 
> > I'm not allowed to include a license file if upstream does not ship it: 
> > "If the source package does not include the text of the license(s), the
> > packager should contact upstream and encourage them to correct this mistake.
> > "
> > https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
> 
> Continuing to read:
> 
> > However, in situations where upstream is unresponsive, unable, or unwilling...

I still have to open a bug upstream.

Comment 6 Andrea Musuruane 2017-07-13 17:52:23 UTC
Spec URL: https://musuruan.fedorapeople.org/abbayedesmorts-gpl.spec
SRPM URL: https://musuruan.fedorapeople.org/abbayedesmorts-gpl-2.0.1-2.20170709git.fc25.src.rpm

Changelog:
- Updated to new upstream post-release
- Added missing BR

Comment 7 Antonio Trande 2017-07-14 10:18:38 UTC
- Linker flags are not honored (see '$ rpm --eval %__global_ldflags')

- Spec file group: 'Group: Amusements/Games' missing

- <project_license> tags do not provide licenses like that in the SPEC file.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v3)", "Unknown or generated". 60 files
     have unknown license. Detailed output of licensecheck in
     /home/sagitter/1468830-abbayedesmorts-gpl/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 235520 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     abbayedesmorts-gpl-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2344960 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: abbayedesmorts-gpl-2.0.1-2.20170709git.fc27.x86_64.rpm
          abbayedesmorts-gpl-debuginfo-2.0.1-2.20170709git.fc27.x86_64.rpm
          abbayedesmorts-gpl-2.0.1-2.20170709git.fc27.src.rpm
abbayedesmorts-gpl.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
abbayedesmorts-gpl.x86_64: W: only-non-binary-in-usr-lib
abbayedesmorts-gpl.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
abbayedesmorts-gpl.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
abbayedesmorts-gpl.x86_64: W: no-manual-page-for-binary abbayev2
abbayedesmorts-gpl.src: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: abbayedesmorts-gpl-debuginfo-2.0.1-2.20170709git.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
abbayedesmorts-gpl.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
abbayedesmorts-gpl.x86_64: W: only-non-binary-in-usr-lib
abbayedesmorts-gpl.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
abbayedesmorts-gpl.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
abbayedesmorts-gpl.x86_64: W: no-manual-page-for-binary abbayev2
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
abbayedesmorts-gpl-debuginfo (rpmlib, GLIBC filtered):

abbayedesmorts-gpl (rpmlib, GLIBC filtered):
    libSDL2-2.0.so.0()(64bit)
    libSDL2_image-2.0.so.0()(64bit)
    libSDL2_mixer-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
abbayedesmorts-gpl-debuginfo:
    abbayedesmorts-gpl-debuginfo
    abbayedesmorts-gpl-debuginfo(x86-64)

abbayedesmorts-gpl:
    abbayedesmorts-gpl
    abbayedesmorts-gpl(x86-64)
    appdata()
    appdata(abbaye.appdata.xml)
    application()
    application(abbaye.desktop)



Source checksums
----------------
https://github.com/nevat/abbayedesmorts-gpl/archive/9ce56f69dec5e185058508cb924b1f597a1380e5/abbayedesmorts-gpl-2.0.1-9ce56f6.tar.gz :
  CHECKSUM(SHA256) this package     : ff4f198dc5e3f2ab5ad0b5e8fc665f195ea12c1dcb397a66eced29378dba8c63
  CHECKSUM(SHA256) upstream package : ff4f198dc5e3f2ab5ad0b5e8fc665f195ea12c1dcb397a66eced29378dba8c63


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1468830
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Artur Iwicki 2017-07-14 11:56:08 UTC
(In reply to Antonio Trande from comment #7)

> - Spec file group: 'Group: Amusements/Games' missing
The packaging guidelines say the Group: tag should not be used.
https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

Comment 9 Antonio Trande 2017-07-14 15:57:31 UTC
(In reply to Iwicki Artur from comment #8)
> (In reply to Antonio Trande from comment #7)
> 
> > - Spec file group: 'Group: Amusements/Games' missing
> The packaging guidelines say the Group: tag should not be used.
> https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

It's a specific request for games: https://fedoraproject.org/wiki/SIGs/Games/Packaging

Comment 10 Artur Iwicki 2017-07-14 18:20:22 UTC
(In reply to Antonio Trande from comment #9)
> It's a specific request for games:
> https://fedoraproject.org/wiki/SIGs/Games/Packaging
Oh, I haven't seen that before. Actually, now that I read it, I probably have to fix one of my packages. Thanks!

Comment 11 Andrea Musuruane 2017-07-14 19:56:16 UTC
(In reply to Iwicki Artur from comment #10)
> (In reply to Antonio Trande from comment #9)
> > It's a specific request for games:
> > https://fedoraproject.org/wiki/SIGs/Games/Packaging
> Oh, I haven't seen that before. Actually, now that I read it, I probably
> have to fix one of my packages. Thanks!

Actually the Games Packaging Guidelines should be amended. They were written a long before the Group tag was dropped. Games Packaging Guidelines must not conflict with Fedora Packaging Guidelines.

Comment 12 Andrea Musuruane 2017-07-15 17:24:55 UTC
Spec URL: https://musuruan.fedorapeople.org/abbayedesmorts-gpl.spec
SRPM URL: https://musuruan.fedorapeople.org/abbayedesmorts-gpl-2.0.1-3.20170709git.fc25.src.rpm

Changelog:
- Fixed AppData file
- Fixed LDFLAGS usage

Comment 13 Antonio Trande 2017-07-16 09:14:53 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v3)", "Unknown or generated". 60 files
     have unknown license. Detailed output of licensecheck in
     /home/sagitter/1468830-abbayedesmorts-gpl/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 235520 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     abbayedesmorts-gpl-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2344960 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: abbayedesmorts-gpl-2.0.1-3.20170709git.fc27.x86_64.rpm
          abbayedesmorts-gpl-debuginfo-2.0.1-3.20170709git.fc27.x86_64.rpm
          abbayedesmorts-gpl-2.0.1-3.20170709git.fc27.src.rpm
abbayedesmorts-gpl.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
abbayedesmorts-gpl.x86_64: W: only-non-binary-in-usr-lib
abbayedesmorts-gpl.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
abbayedesmorts-gpl.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
abbayedesmorts-gpl.x86_64: W: no-manual-page-for-binary abbayev2
abbayedesmorts-gpl.src: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: abbayedesmorts-gpl-debuginfo-2.0.1-3.20170709git.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
abbayedesmorts-gpl.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
abbayedesmorts-gpl.x86_64: W: only-non-binary-in-usr-lib
abbayedesmorts-gpl.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
abbayedesmorts-gpl.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
abbayedesmorts-gpl.x86_64: W: no-manual-page-for-binary abbayev2
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
abbayedesmorts-gpl-debuginfo (rpmlib, GLIBC filtered):

abbayedesmorts-gpl (rpmlib, GLIBC filtered):
    libSDL2-2.0.so.0()(64bit)
    libSDL2_image-2.0.so.0()(64bit)
    libSDL2_mixer-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
abbayedesmorts-gpl-debuginfo:
    abbayedesmorts-gpl-debuginfo
    abbayedesmorts-gpl-debuginfo(x86-64)
    debuginfo(build-id)

abbayedesmorts-gpl:
    abbayedesmorts-gpl
    abbayedesmorts-gpl(x86-64)
    appdata()
    appdata(abbaye.appdata.xml)
    application()
    application(abbaye.desktop)



Source checksums
----------------
https://github.com/nevat/abbayedesmorts-gpl/archive/9ce56f69dec5e185058508cb924b1f597a1380e5/abbayedesmorts-gpl-2.0.1-9ce56f6.tar.gz :
  CHECKSUM(SHA256) this package     : ff4f198dc5e3f2ab5ad0b5e8fc665f195ea12c1dcb397a66eced29378dba8c63
  CHECKSUM(SHA256) upstream package : ff4f198dc5e3f2ab5ad0b5e8fc665f195ea12c1dcb397a66eced29378dba8c63


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1468830
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 Gwyn Ciesla 2017-07-16 18:09:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/abbayedesmorts-gpl

Comment 15 Fedora Update System 2017-07-16 19:05:04 UTC
abbayedesmorts-gpl-2.0.1-3.20170709git.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d26259dbf8

Comment 16 Fedora Update System 2017-07-17 02:50:07 UTC
abbayedesmorts-gpl-2.0.1-3.20170709git.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f93c14f76b

Comment 17 Fedora Update System 2017-07-17 03:25:45 UTC
abbayedesmorts-gpl-2.0.1-3.20170709git.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d26259dbf8

Comment 18 Fedora Update System 2017-07-24 19:21:39 UTC
abbayedesmorts-gpl-2.0.1-3.20170709git.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-07-25 00:24:08 UTC
abbayedesmorts-gpl-2.0.1-3.20170709git.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.